//---------------------------------------------------------------------------

#ifndef StorageFormH
#define StorageFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class PACKAGE TStorageForm : public TForm
{
__published:	// IDE-managed Components
    TButton *Button1;
    TButton *Button2;
private:
    bool FAutoRestore;
    bool FAutoSave;
    TNotifyEvent FOnRestore;
    TNotifyEvent FOnSave;
    void __fastcall SetOnRestore(TNotifyEvent value);
    TNotifyEvent __fastcall GetOnRestore();
    void __fastcall SetOnSave(TNotifyEvent value);
    TNotifyEvent __fastcall GetOnSave();
public:		// User declarations
    virtual __fastcall TStorageForm(TComponent* Owner);
    __fastcall ~TStorageForm(void);
__published:
    __property bool AutoRestore  = { read=FAutoRestore, write=FAutoRestore, default=true};
    __property bool AutoSave  = { read=FAutoSave, write=FAutoSave };
    __property TNotifyEvent OnRestore  = { read=GetOnRestore, write=SetOnRestore };
    __property TNotifyEvent OnSave  = { read=GetOnSave, write=SetOnSave };
protected:
    void __fastcall DoRestore(void);
    void __fastcall DoSave(void);

};
//---------------------------------------------------------------------------
#endif
